/*
 *                        slmodemleds.h  -  description
 *                           -------------------
 *  begin                : Fri Dec 19 2003
 *  copyright            : (C) 2003 by giuseppe massimo bertani
 *  email                : gmbertani@serlook.sunsite.dk
 *
 *
 *
 *                                                                         
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or     
 *  (at your option) any later version.                                   
 *                                                                         
 *  Coding style params: 
 *  <TAB> skips=4
 *  <TAB> are replaced with blanks
 *  
 *   Best viewed with Vim 6.x and included vimrc file ;-)
 *   
 * $Id: slmodemleds.h,v 1.1 2004/01/09 08:45:08 gbertani Exp $
 */

#ifndef SLMODEMLEDS_H
#define SLMODEMLEDS_H

//linux
#include <sys/ioctl.h>

//Qt
#include <qlayout.h>
#include <qtooltip.h>

//kde
#include <kled.h>

#include "ModemStatusLeds.h"

/**
small widget do be placed in
the status bar that shows the modem
line status as leds
  *@author giuseppe massimo bertani
  */

class SLModemLeds : public ModemStatusLeds
{
    Q_OBJECT

public:
    SLModemLeds(bool rxOnly, QWidget *parent=0, const char *name=0);

public slots:
    virtual void slotSetStatus(uint status);

    QSize sizeHint() const;

private:

    QHBoxLayout* layout;

    bool rxOnlyLeds;
};

#endif
